package cc.smtweb.system.bpm.web.sys.user.area;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-06-17 07:58:14
 * 实体【[行政区划](SYS_AREA)】的Entity类
 */
@SwTable("SYS_AREA")
public class Area extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_AREA";

    public Area() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("ar_id");
    }

    /**
     * 主键
     */
    public void setId(long ar_id) {
        put("ar_id", ar_id);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("ar_code");
    }

    /**
     * 编码
     */
    public void setCode(String ar_code) {
        put("ar_code", ar_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("ar_name");
    }

    /**
     * 名称
     */
    public void setName(String ar_name) {
        put("ar_name", ar_name);
    }

    /**
     * 父ID
     */
    public long getParentId() {
        return getLong("ar_parent_id");
    }

    /**
     * 父ID
     */
    public void setParentId(long ar_parent_id) {
        put("ar_parent_id", ar_parent_id);
    }

    /**
     * 级次码
     */
    public String getLevelCode() {
        return getStr("ar_level_code");
    }

    /**
     * 级次码
     */
    public void setLevelCode(String ar_level_code) {
        put("ar_level_code", ar_level_code);
    }

    /**
     * 全称
     */
    public String getFullName() {
        return getStr("ar_full_name");
    }

    /**
     * 全称
     */
    public void setFullName(String ar_full_name) {
        put("ar_full_name", ar_full_name);
    }

    /**
     * 级次
     */
    public int getType() {
        return getInt("ar_type");
    }

    /**
     * 级次
     */
    public void setType(int ar_type) {
        put("ar_type", ar_type);
    }

    /**
     * 状态
     */
    public boolean isStatu() {
        return getBool("ar_statu");
    }

    /**
     * 状态
     */
    public void set(boolean ar_statu) {
        setBool("ar_statu", ar_statu);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("ar_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String ar_remark) {
        put("ar_remark", ar_remark);
    }

    /**
     * 排序码
     */
    public int getSeq() {
        return getInt("ar_seq");
    }

    /**
     * 排序码
     */
    public void setSeq(int ar_seq) {
        put("ar_seq", ar_seq);
    }
}
